Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class BaseFeatureFactory

    java.lang.Object
      org.eclipse.update.core.model.FeatureModelFactory
          org.eclipse.update.core.BaseFeatureFactory

All Implemented Interfaces:
  IFeatureFactory

public abstract class BaseFeatureFactory
extends FeatureModelFactory
implements IFeatureFactory

Base implementation of a feature factory. The factory is responsible for constructing the correct concrete implementation of the model objects for each particular feature type. This class creates model objects that correspond to the concrete implementation classes provided in this package. The actual feature creation method is subclass responsibility.

This class must be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IFeatureFactory`, `FeatureModelFactory`

Constructor Summary
`BaseFeatureFactory()`

Method Summary
`IFeature` | `createFeature(URL url, ISite site)` Returns a feature defined by the supplied URL.
`abstract IFeature` | `createFeature(URL url, ISite site, IProgressMonitor monitor)` Create feature.
`FeatureModel` | `createFeatureModel()` Create a concrete implementation of feature model.
`ImportModel` | `createImportModel()` Create a concrete implementation of import dependency model.
`IncludedFeatureReferenceModel` | `createIncludedFeatureReferenceModel()` Create a concrete implementation of included feature reference model.
`InstallHandlerEntryModel` | `createInstallHandlerEntryModel()` Create a concrete implementation of install handler model.
`NonPluginEntryModel` | `createNonPluginEntryModel()` Create a concrete implementation of non-plug-in entry model.
`PluginEntryModel` | `createPluginEntryModel()` Create a concrete implementation of plug-in entry model.
`URLEntryModel` | `createURLEntryModel()` Create a concrete implementation of annotated URL model.

Methods inherited from class org.eclipse.update.core.model.FeatureModelFactory
`parseFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFeatureFactory

    public BaseFeatureFactory()

Method Detail

### createFeature

    public IFeature createFeature(URL url,
                                  ISite site)
                           throws CoreException

  Deprecated. implement createFeature(URL, ISite, IProgressMonitor) instead

  Description copied from interface: `IFeatureFactory`
  Returns a feature defined by the supplied URL. The feature is associated with the specified site.

  The actual interpretation of the URL is feature-type specific. In most cases the URL will point to some feature-specific file that can be used (directly or indirectly) to construct the feature object.

  Specified by:
    `createFeature` in interface `IFeatureFactory`
  Parameters:
    `url` - URL interpreted by the feature
    `site` - site to be associated with the feature
  Returns:
    concrete feature object
  Throws:
    `CoreException`
  Since:
    2.0
  See Also:
    `IFeatureFactory.createFeature(URL,ISite)`

### createFeature

    public abstract IFeature createFeature(URL url,
                                           ISite site,
                                           IProgressMonitor monitor)
                                    throws CoreException

  Create feature. Implementation of this method must be provided by subclass

  Specified by:
    `createFeature` in interface `IFeatureFactory`
  Parameters:
    `url` - URL interpreted by the feature
    `site` - site to be associated with the feature
  Returns:
    concrete feature object
  Throws:
    `CoreException`
  Since:
    2.0
  See Also:
    `IFeatureFactory.createFeature(URL,ISite,IProgressMonitor)`

### createFeatureModel

    public FeatureModel createFeatureModel()

  Create a concrete implementation of feature model.

  Overrides:
    `createFeatureModel` in class `FeatureModelFactory`
  Returns:
    feature model
  Since:
    2.0
  See Also:
    `Feature`

### createIncludedFeatureReferenceModel

    public IncludedFeatureReferenceModel createIncludedFeatureReferenceModel()

  Create a concrete implementation of included feature reference model.

  Overrides:
    `createIncludedFeatureReferenceModel` in class `FeatureModelFactory`
  Returns:
    feature model
  Since:
    2.1
  See Also:
    `IncludedFeatureReference`

### createInstallHandlerEntryModel

    public InstallHandlerEntryModel createInstallHandlerEntryModel()

  Create a concrete implementation of install handler model.

  Overrides:
    `createInstallHandlerEntryModel` in class `FeatureModelFactory`
  Returns:
    install handler entry model
  Since:
    2.0
  See Also:
    `InstallHandlerEntry`

### createImportModel

    public ImportModel createImportModel()

  Create a concrete implementation of import dependency model.

  Overrides:
    `createImportModel` in class `FeatureModelFactory`
  Returns:
    import dependency model
  Since:
    2.0
  See Also:
    `Import`

### createPluginEntryModel

    public PluginEntryModel createPluginEntryModel()

  Create a concrete implementation of plug-in entry model.

  Overrides:
    `createPluginEntryModel` in class `FeatureModelFactory`
  Returns:
    plug-in entry model
  Since:
    2.0
  See Also:
    `PluginEntry`

### createNonPluginEntryModel

    public NonPluginEntryModel createNonPluginEntryModel()

  Create a concrete implementation of non-plug-in entry model.

  Overrides:
    `createNonPluginEntryModel` in class `FeatureModelFactory`
  Returns:
    non-plug-in entry model
  Since:
    2.0
  See Also:
    `NonPluginEntry`

### createURLEntryModel

    public URLEntryModel createURLEntryModel()

  Create a concrete implementation of annotated URL model.

  Overrides:
    `createURLEntryModel` in class `FeatureModelFactory`
  Returns:
    annotated URL model
  Since:
    2.0
  See Also:
    `URLEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.